package com.jenny.magic.items;

import net.minecraft.server.level.ServerLevel;
import net.minecraft.world.effect.MobEffect;
import net.minecraft.world.effect.MobEffectInstance;
import net.minecraft.world.entity.Entity;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.level.Level;
import org.jetbrains.annotations.NotNull;

import java.util.Optional;

public class AmuletEffect extends BaseItem {
    private MobEffect effect;
    private int delay, duration, amplifier;

    public AmuletEffect(Properties pProperties, MobEffect effect, int delay, int duration, int amplifier) {
        super(pProperties.stacksTo(1));
        this.effect = effect;
        this.delay = delay;
        this.duration = duration;
        this.amplifier = amplifier;
    }

    @Override
    public void inventoryTick(@NotNull ItemStack pStack, @NotNull Level pLevel, @NotNull Entity pEntity, int pSlotId, boolean pIsSelected) {
        if (!pLevel.isClientSide && ((ServerLevel) pLevel).getServer().getTickCount() % this.delay == 0) {
            if (pEntity instanceof LivingEntity p) {
                p.addEffect(new MobEffectInstance(effect, this.duration, this.amplifier, true, true, true, null, Optional.empty()));
                System.out.println("test1878567");
            }
        }
    }
}
